cascading.flow.planner.process

## Class ProcessEdge<Process extends ProcessModel>

- java.lang.Object
- - cascading.flow.planner.process.ProcessEdge<Process>

All Implemented Interfaces:
  java.io.Serializable

    public class ProcessEdge<Process extends ProcessModel>
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProcessEdge(ElementGraph sourceElementGraph, FlowElement flowElement, ElementGraph sinkElementGraph)`
`ProcessEdge(Process sourceProcess, FlowElement flowElement, Process sinkProcess)`
`ProcessEdge(Process sourceProcess, Process sinkProcess)`

### Method Summary

Methods
`void` `addEdgeAnnotation(java.lang.Enum annotation)`
`void` `addEdgeAnnotation(java.lang.String key, java.lang.String value)`
`java.util.Map<java.lang.String,java.lang.String>` `getEdgeAnnotations()` Returns any edge annotations, or an empty immutable Map.
`FlowElement` `getFlowElement()`
`java.lang.String` `getFlowElementID()`
`java.lang.String` `getID()`
`java.util.Map<java.lang.Integer,Fields>` `getResolvedKeyFields()`
`java.util.Map<java.lang.Integer,Fields>` `getResolvedSortFields()`
`java.util.Map<java.lang.Integer,Fields>` `getResolvedValueFields()`
`java.util.Set<java.lang.Enum>` `getSinkAnnotations()`
`java.util.Set<java.lang.Integer>` `getSinkExpectedOrdinals()`
`java.lang.String` `getSinkProcessID()`
`java.util.Set<java.lang.Enum>` `getSourceAnnotations()`
`java.lang.String` `getSourceProcessID()`
`java.util.Set<java.lang.Integer>` `getSourceProvidedOrdinals()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessEdge

    public ProcessEdge(Process sourceProcess,
               FlowElement flowElement,
               Process sinkProcess)

#### ProcessEdge

    public ProcessEdge(ElementGraph sourceElementGraph,
               FlowElement flowElement,
               ElementGraph sinkElementGraph)

#### ProcessEdge

    public ProcessEdge(Process sourceProcess,
               Process sinkProcess)

### Method Detail

#### getID

    public java.lang.String getID()

#### getSourceProcessID

    public java.lang.String getSourceProcessID()

#### getSinkProcessID

    public java.lang.String getSinkProcessID()

#### getEdgeAnnotations

    public java.util.Map<java.lang.String,java.lang.String> getEdgeAnnotations()

Returns any edge annotations, or an empty immutable Map.

Use `addEdgeAnnotation(String, String)` to add edge annotations.

Returns:

#### addEdgeAnnotation

    public void addEdgeAnnotation(java.lang.Enum annotation)

#### addEdgeAnnotation

    public void addEdgeAnnotation(java.lang.String key,
                         java.lang.String value)

#### getFlowElement

    public FlowElement getFlowElement()

#### getFlowElementID

    public java.lang.String getFlowElementID()

#### getSinkExpectedOrdinals

    public java.util.Set<java.lang.Integer> getSinkExpectedOrdinals()

#### getSourceProvidedOrdinals

    public java.util.Set<java.lang.Integer> getSourceProvidedOrdinals()

#### getResolvedKeyFields

    public java.util.Map<java.lang.Integer,Fields> getResolvedKeyFields()

#### getResolvedSortFields

    public java.util.Map<java.lang.Integer,Fields> getResolvedSortFields()

#### getResolvedValueFields

    public java.util.Map<java.lang.Integer,Fields> getResolvedValueFields()

#### getSinkAnnotations

    public java.util.Set<java.lang.Enum> getSinkAnnotations()

#### getSourceAnnotations

    public java.util.Set<java.lang.Enum> getSourceAnnotations()